$('#form-cultura').submit(function(e){
    e.preventDefault();
    $.ajax({
        url: url_cultura_post,
        type: "POST",
        data: $('#form-cultura').serialize(),
        beforeSend: function(){
            App.blockUI({
                target: "#tab4",
                message: "Cargando..."
            })
        },
        success: function(data){
            swal("Listo",data.success, "success");
        },
        error: function(){
            swal("Error","No se actualizo la informacion", "error");
        },
        complete: function(){
            App.unblockUI("#tab4");
        }
    })
});
$.ajax({
    url: url_cultura_get+"?q="+id,
    success: function(data){
        var user = data[0];
        try {

            if(user.dvoley){ $("#dvoley").prop('checked', true); }
            if(user.dfutbol){ $("#dfutbol").prop('checked', true); }
            if(user.dbasquet){ $("#dbasquet").prop('checked', true); }
            if(user.datletismo){ $("#datletismo").prop('checked', true); }
            if(user.dnatacion){ $("#dnatacion").prop('checked', true); }

            $("#dotro").val(user.dotro);
            $("#dlugar").val(user.dlugar);

            if(user.hmusica){ $("#hmusica").prop('checked', true); }
            if(user.hdanza){ $("#hdanza").prop('checked', true); }
            if(user.hteatro){ $("#hteatro").prop('checked', true); }
            if(user.hcanto){ $("#hcanto").prop('checked', true); }
            if(user.hdibujo){ $("#hdibujo").prop('checked', true); }
            if(user.hpintura){ $("#hpintura").prop('checked', true); }
            if(user.hmanuali){ $("#hmanuali").prop('checked', true); }

            $("#hotro").val(user.hotro);
            $("#hobby").val(user.hobby);

            if($('#culturaid').val() == '') {
                $("input[name='culturaid']").val(user.id_usuario);
            }
        }catch(err){
            App.unblockUI("#tab4");
        }
    },
    beforeSend: function(){
        App.blockUI({
            target: "#tab4",
            message: "Cargando..."
        })
    },
    complete: function(){
        App.unblockUI("#tab4");
    }
})